#
# spec file for package python-cmarkgfm
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-cmarkgfm
Version:        2022.10.27
Release:        3.5
Summary:        Minimal bindings to GitHub's fork of cmark
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/jonparrott/cmarkgfm
Source:         https://files.pythonhosted.org/packages/source/c/cmarkgfm/cmarkgfm-%{version}.tar.gz
# PATCH-FIX-UPSTREAM cmark-gfm-13.patch gh#theacodes/cmarkgfm#63
Patch0:         cmark-gfm-13.patch
BuildRequires:  %{python_module cffi >= 1.0.0}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module pytest}
# /SECTION
BuildRequires:  fdupes
Requires:       python-cffi >= 1.0.0

%python_subpackages

%description
Minimal bindings to GitHub's fork of cmark

%prep
%autosetup -p1 -n cmarkgfm-%{version}

chmod a-x LICENSE.txt README.rst

%build
export CFLAGS="%{optflags}"
%python_build

%install
%python_install
find %{buildroot} -type f -name "*.h" -delete -print
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%check
%pytest_arch

%files %{python_files}
%doc README.rst
%license LICENSE.txt
%{python_sitearch}/cmarkgfm
%{python_sitearch}/cmarkgfm-%{version}*-info

%changelog
* Mon Aug 14 2023 Daniel Garcia <daniel.garcia@suse.com>
- Add cmark-gfm-13.patch to update cmark to 0.29.0.gfm.13
  (gh#theacodes/cmarkgfm#63, bsc#1213317, CVE-2023-37463)
* Fri Apr 21 2023 Dirk Müller <dmueller@suse.com>
- add sle15_python_module_pythons (jsc#PED-68)
* Thu Apr 13 2023 Matej Cepl <mcepl@suse.com>
- Make calling of %%{sle15modernpython} optional.
* Mon Nov  7 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to 2022.10.27:
  * Build wheels for Python 3.11
  * Update cmark-gfm from 0.29.0.gfm.3 to 0.29.0.gfm.6
- Update to 2022.10.26:
  * Create wheels for Python 3.11
* Fri Jul 15 2022 Jacob Michalskie <hel@lcp.world>
- Update to 2022.3.4:
  - Updated cmark to 0.29.0.gfm.3
  - Switched to calendar versioning
* Wed Feb  9 2022 Matej Cepl <mcepl@suse.com>
- Upgrade to 0.7.0:
  - Create wheels for Python 3.10
  - Drop support for Python 2.7 and 3.5
  - The output generated by
    cmarkgfm.github_flavored_markdown_to_html for code blocks has
    changed to be in line with that of github.com.
  - This change may break existing css rules as code blocks were
    generated differently for cmarkgfm<0.6.0.
-        <pre><code class="language-python">print('hello')
  +        <pre lang="python"><code>print('hello'
    </code></pre>
* Mon Mar 22 2021 Ben Greiner <code@bnavigator.de>
- Update to 0.5.3
  * Add support for Linux aarch64
- Release 0.5.2
  * Enable tasklist extension
- Release 0.5.1
  * Add support for Python 3.9
  * Document deprecation of Python 2.7
- Release 0.5.0
  * Update to cmark 0.29.0.gfm.0
  * Drop support for Python 3.4; make support for 3.7 & 3.8 official
    (#21)
  * Document SAFE/UNSAFE mode and the other options (#24)
  + import cmarkgfm.cmark.Options into cmarkgfm
  * Make Python information more explicit in the README (#16)
* Wed Jan  2 2019 Thomas Bechtold <tbechtold@suse.com>
- Fix file permissions for various files
* Sun Dec 30 2018 Thomas Bechtold <tbechtold@suse.com>
- Initial packaging (version 0.4.2)
